﻿body {
    /*font-family: 'TT Lakes';*/
    background: url('../../images/frame.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-color: #ebf0f0;
    height: 100vh;
}


/* ---------- BUTTON STYLES ---------- */
.btn-primary {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    padding: 0.75rem 0.40625rem;
    border-radius: 0.3rem;
    border: none;

    background-color: var(--bs-primary);
    color: var(--bs-white);
    cursor: pointer;
    font-weight: bold;
}



.accordion-button:not(.collapsed) {
    background-color: rgba(153, 247, 235,0.2);
}
/* ---------- ANIMATIONEN ---------- */
.effect-scale:hover {
    transform: scale(1.01);
}

.effect-scale:active {
    transform: scale(0.99);
}

.effect-shine:hover {
    -webkit-mask-image: linear-gradient(-40deg, #000 30%, rgba(0,0,0,.6) 50%, #000 70%);
    -webkit-mask-size: 200%;
    animation: shine 1.5s infinite;
}

@-webkit-keyframes shine {
    from {
        -webkit-mask-position: 150%;
    }

    to {
        -webkit-mask-position: -50%;
    }
}


/* ---------- Background/Container Elemente ---------- */

.glass-background {
    min-height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card {
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 0.4rem;
    padding: 2rem;
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.1);
    
}


.custom-grid-container {
    max-height: 80vh;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

.max-content-width {
    justify-self: center;
    width: 100%;
    max-width: 1000px;
}

.translation-controls > .row,
.translation-controls > .row > .row {
    flex-direction: column;
}

.translation-controls {
    max-width: 20%;
    min-width: 500px;
    z-index: 10;
    left:0;
    padding:10px;
}

#translation-container {
    display: flex;
    align-items: flex-start;
    gap: 1.5rem;
}

#controls {
    flex: 0 0 20%;
}

#grid-block {
    flex: 1 1 auto;
    margin-left: auto;
    margin-right: auto;
}
/* ---------- Styling der Inputs ---------- */
.form-control {
    width: auto;
    background: rgba(255, 255, 255, 0.2);
    border: 1px solid rgba(255, 255, 255, 0.2);
}
.form-control:focus {
    background: rgba(255, 255, 255, 0.2);
    box-shadow: none;
}

.dxbl-text-edit {
    --dxbl-text-edit-bg: rgba(255, 255, 255, 0.2);
}

.dxbl-text-edit > .dxbl-btn-group, .dxbl-text-edit > .dxbl-btn-group-vertical {
    background: rgba(255, 255, 255, 0.2);
}

.dxbl-btn-group-right > .dxbl-btn {
    background: rgba(255, 255, 255, 0.2);
}


.dxbl-grid {
    --dxbl-grid-bg: transparent;
    background: rgba(255, 255, 255, 0.25);
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 0.4rem;
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.1);
    width: 90%;
    justify-self: center;
}



/* ---------- Navbar ---------- */
.nav {
    /*--dxbl-grid-bg: transparent;*/
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.2);
}

.icon {
    width: 2rem;
}
.icon-to-big {
    width: 1.5rem;
}

.nav-item {
    display: flex;
    gap: 0.5rem;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}



/* ---------- RadialMenu ---------- */
.menu-wrapper {
    pointer-events: none;
    z-index: 100;
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 300px;
    height: 150px;
}

/* Der Container, der die Drehung macht */
.menu-rotate-container {
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0%;
    left: 0;
    transform-origin: center bottom;
    transform: rotate(-180deg);
    transition: transform 0.4s ease-in-out;
    pointer-events: none;
}

.menu-rotate-container.is-open {
    transform: rotate(0deg);
    pointer-events: auto;
}

.menu-button {
    pointer-events: auto;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 140px;
    height: 70px;
    background-color: #00a693;
    border-radius: 70px 70px 0 0;
    border: none;
    z-index: 20;
    cursor: pointer;

}

.menu-button span {
    color: white;
    font-size: xx-large;
    display: inline-block;
    transition: transform 0.3s ease;
}

.menu-rotate-icon {
    transform: rotate(45deg);
}

/* Die Items innerhalb des Containers */
.menu-item {
    pointer-events: auto;
    position: absolute;
    aspect-ratio: 1/1;
    transform: scale(1.5);
    cursor: pointer;
}

.menu-pos-1 {
    top: 70%;
    left: 10%;
}

.menu-pos-2 {
    top: 30%;
    left: 30%;
}

.menu-pos-3 {
    top: 30%;
    right: 30%;
}

.menu-pos-4 {
    top: 70%;
    right: 10%;
}

.menu-item {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
}


/* ---------- Banner ---------- */
.banner-container {
    width: 100%;
}

.banner {
    display: flex;
    align-items: center;
    gap: 25px;
    height: auto;
    min-height: 80px;
    padding: 1rem;
}

.banner-info {
    background-color: #EDFBFA;
}
.banner-warning {
    background-color: #FFFCEF;
}
.banner-error {
    background-color: #FFF0F0;
}

.banner-icon {
    width: 80px;
}

.banner-text {
    flex: 1;
    min-width: 0;
    border-left: solid;
    border-color: rgba(0,0,0,0.2);
    padding-left: 3rem;
}

.banner-body {
    color: var(--bs-gray-dark);
    word-wrap: break-word;
    white-space: normal;
    overflow: visible;
}

.banner-close {
    align-self:flex-start;
    flex-shrink: 0;
    background: transparent;
    border: none;
    font-size: 1.5rem;
    font-weight: bold;
    cursor: pointer;
    line-height: 1;
    color: inherit;
    opacity: 0.6;
    transition: opacity 0.2s;
    margin-left: auto;
}

.banner-close:hover {
    opacity: 1;
}


.is-collapsed {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.is-expanded {
    display: block;
    -webkit-line-clamp: none;
}

.is-collapsed .banner-body * {
    display: inline;
}

.read-more-btn {
    display: block;
    margin-top: 8px;
    background: none;
    border: none;
    color: var(--bs-primary);
    font-weight: bold;
    cursor: pointer;
    padding: 0;
}

.banner-close {
    flex-shrink: 0;
    cursor: pointer;
    background: none;
    border: none;
    font-size: 1.5rem;
    line-height: 1;
}
/* ---------- Toasts ---------- */
.dxbl-toast-portal {
    pointer-events: none;
    position: fixed;
    top: 20px;
    right: 20px;
    bottom: auto;
    left: auto;
    display: flex;
    flex-direction: column;
    gap: 10px;
    z-index: 9999;
}

.dxbl-toast {
    pointer-events: auto;
    --dxbl-toast-background-color: rgba(255, 255, 255, 0.4) !important;
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.2);
}




/* ---------- Translation View Menu ---------- */
#controls {
    width: 100vw;
    max-width:350px;
    max-height: 75vh;
    transition: transform 0.3s ease-in-out, opacity 0.3s ease;
    z-index: 1030;
    display: flex;
    flex-direction: column;
}

@media (max-width: 767px) {
    #controls {
        min-width:100vw;
    }
}
.accordion {
    --bs-accordion-bg: rgba(255,255,255,.25)
}


.sidebar-content {
    overflow-y: auto;
    flex-grow: 1;
    padding: 10px;
}


.sidebar-closed {
    transform: translateX(-120%);
    opacity: 0;
    pointer-events: none;
}


.sidebar-open {
    transform: translateX(0);
    opacity: 1;
}


.toggle-nav-button {
    z-index: 1030;
    width: 45px;
    height: 45px;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 2px 10px rgba(0,0,0,0.2);
}

.sidebar-btn-open {
    display: none;
}


.sidebar-content::-webkit-scrollbar {
    width: 4px;
}

.sidebar-content::-webkit-scrollbar-thumb {
    background-color: rgba(0, 166, 147,0.2);
    border-radius: 10px;
}